io.undertow.server.handlers.proxy

## Enum ProxyConnectionPool.AvailabilityType

- java.lang.Object
- - java.lang.Enum<ProxyConnectionPool.AvailabilityType>
  - - io.undertow.server.handlers.proxy.ProxyConnectionPool.AvailabilityType

All Implemented Interfaces:
  Serializable, Comparable<ProxyConnectionPool.AvailabilityType>

Enclosing class:
  ProxyConnectionPool

    public static enum ProxyConnectionPool.AvailabilityType
    extends Enum<ProxyConnectionPool.AvailabilityType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AVAILABLE` The host is read to accept requests
`CLOSED` The host is closed.
`DRAIN` The host is stopped.
`FULL` All connections are in use, connections will be queued
`FULL_QUEUE` All connections are in use and the queue is full.
`PROBLEM` The host is probably down, only try as a last resort

### Method Summary

All Methods Static Methods Concrete Methods
`static ProxyConnectionPool.AvailabilityType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProxyConnectionPool.AvailabilityType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AVAILABLE

    public static final ProxyConnectionPool.AvailabilityType AVAILABLE

The host is read to accept requests

#### DRAIN

    public static final ProxyConnectionPool.AvailabilityType DRAIN

The host is stopped. No request should be forwarded that are not tied to this node via sticky sessions

#### FULL

    public static final ProxyConnectionPool.AvailabilityType FULL

All connections are in use, connections will be queued

#### FULL_QUEUE

    public static final ProxyConnectionPool.AvailabilityType FULL_QUEUE

All connections are in use and the queue is full. Requests will be rejected.

#### PROBLEM

    public static final ProxyConnectionPool.AvailabilityType PROBLEM

The host is probably down, only try as a last resort

#### CLOSED

    public static final ProxyConnectionPool.AvailabilityType CLOSED

The host is closed. connections will always fail

### Method Detail

#### values

    public static ProxyConnectionPool.AvailabilityType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProxyConnectionPool.AvailabilityType c : ProxyConnectionPool.AvailabilityType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProxyConnectionPool.AvailabilityType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null